%define base_name	xt
%define name		%{base_name}-dash
%define version		20020426
%define release		1jpp
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	A fast, free implementation of XSLT in Java
License:	BSD style
Group:		Development/Java
Source:		http://www.blnz.com/xt/xt-20020426a-src.tgz
Source1:	xt-dash-build.xml
Url:		http://www.blnz.com/xt/index.html
Requires:	servletapi4
Requires:	xerces-j2
Requires:	xml-commons-apis
BuildRequires:	ant
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	servletapi4
BuildRequires:	xerces-j2
BuildRequires:	xml-commons-apis
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Distribution:	JPackage
Vendor:		JPackage Project

%description
XT is an implementation in Java of XSL Transformations.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Development/Java

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n xt-20020426a-src
install -m 644 %{SOURCE1} build.xml
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=$(build-classpath servletapi4 xerces-j2 xml-commons-apis)
ant jar
ant javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr demo $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc copying.txt copyingjc.txt index.html README
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%changelog
* Mon May 05 2003 David Walluck <david@anti-microsoft.org> 0:20020426-1jpp
- update for JPackage 1.5

* Wed Apr 03 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 19991105-1jpp 
- first JPackage release
